Returns the workspace with the specified id.

GEThttps://api.awork.com/api/v1/workspaces/{workspaceId}
GET https://api.awork.com/api/v1/workspaces/{workspaceId}

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

workspaceIdstringRequired
format: uuid

The id of the workspace.

Responses

200 OK

application/json

namestring or nullOptional
maxLength: 1000

The workspace name. Optional.

descriptionstring or nullOptional
maxLength: 1000

The workspace description. Optional.

languagestring or nullOptional
maxLength: 25

The workspace language. Optional.

typestring or nullOptional
maxLength: 25

The workspace type / industry set during onboarding. Optional.

sizestring or nullOptional
maxLength: 100

The workspace size. Optional.

goalsarray of string or nullOptional
maxItems: 25

The workspace team goals. Optional.

selfAttributionstring or nullOptional
maxLength: 100

The way the workspace creator learned awork, set during the onboarding. Optional.

previousToolstring or nullOptional
maxLength: 100

The project management tool used before awork, set during the onboarding. Optional.

aiUsagestring or nullOptional
maxLength: 100

How the team uses AI, set during the onboarding. Optional.

departmentstring or nullOptional
maxLength: 100

The workspace creator's department, set during the onboarding. Optional.

allowSocialLoginbooleanRequired

Whether the social login via apple and google is allowed.

allowCredentialsLoginbooleanRequired

Whether the user can login with username and password.

allowAutomaticScimUserBookingboolean or nullOptional

Whether the SCIM integration should be able to book additional user seats when provisioning and activating new users, or should return BadRequest. Only admins are allowed to change this setting.

sameDomainSignupEnabledboolean or nullOptional

Whether same domain signup feature is enabled. Only admins are allowed to change this setting.

sameDomainSignupRoleIdstring or nullOptional
format: uuid

Default Role for users who sign up through same domain signup. Only admins are allowed to change this setting.

sameDomainSignupDomainsarray of string or nullOptional

Domains enabled for same domain signup feature. Only admins are allowed to change this setting.

requireMfabooleanOptional

Whether the workspace requires multi-factor authentication for all users.

skipCreateDefaultWorkspaceDataboolean or nullOptional

Whether to skip the creation of default workspace data.

productsarray of string or nullOptional

The products available in this workspace. Read-only.

idstringOptional
format: uuid

The id of the workspace.

subdomainsarray of object or nullOptional

The workspace's subdomains. Read-only.

Show 2 properties
namestring or nullOptional

The subdomain hostname.

isDefaultbooleanOptional

Whether this is the default subdomain of the workspace.

memberCountinteger or nullOptional
format: int32

The amount of workspace members. Only visible when the user is authenticated. Read-only.

lastUsedbooleanOptional

Whether this is the workspace the current user last logged in with.

lastLoginstring or nullOptional
format: date-time

The date and time the user last logged in with this workspace, or the workspace was last accessed.

accountIdsarray of string or nullOptional

The ids of identities assigned to this workspace. Read-only.

hasImagebooleanOptional

Whether the workspace has uploaded a workspace image.

createdOnstringOptional
format: date-time

The date this workspace was created.

createdBystring or nullOptional
format: uuid

The id of the user who created this workspace. Only set after the first invitation succeeded.

updatedOnstringOptional
format: date-time

The date this workspace was last modified.

updatedBystring or nullOptional
format: uuid

The id of the user who last updated this workspace. Only set after the first invitation succeeded.

isTestWorkspacebooleanOptional

Whether the workspace is a test workspace.

isApprovedbooleanOptional

Whether the user accepted the invitation to the workspace.

allowSSOLoginbooleanOptional

Whether the user can login via an external SSO provider.

isScimActivatedbooleanOptional

Whether the workspace has SCIM user provisioning enabled.

virtualMRRnumber or nullOptional
format: double

The virtual MRR calculated during onborading.

isMobileSignupboolean or nullOptional

The type of sign-up set during the onboarding. Can be: web, mobile, ...

isFreeMailboolean or nullOptional

Whether the domain of the account of the workspace creator is a freemail or a business domain.

isJoinablebooleanOptional

Whether this workspace has same domain sign up enabled and the account's email matches the permitted domains.

isFullboolean or nullOptional

Whether this workspace is full and no more users can join. Used in same domain sign up flow.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation